Subject: [Pce] Comments on draft-zhang-pce-pcep-stateful-pce-gmpls:

From: "Margaria, Cyril (NSN - DE/Munich)" <[email-masked]>
Date: Thu, 21 Feb 2013 11:44:08 +0000

Hi PCEers

I did not see any reply on my previous comments I repost them with separate threads, as the initial one were big
1.      Section 2.2.1 : this is not only useful for stateful, but also for stateless, this should be integrated to draft-ietf-pce-inter-layer-ext
2.      Section 2.3 : is this GMPLS specific or stateful specific?
3.      Section 2.4 : IMHO this should not be necessary, the generic part should describe how  to deal with non-supported objects,
4.      Section 2.5 : This seems generic, I would expect a new section in the WG document describing this generic procedure, it does not match the scope of this document.,
5.      Section 2.6 : how is this GMPLS-specific? This should be another set of extensions maybe.

My understanding is that the required extension to support an *active* stateful PCE for GMPLS network is contained in section 2.4, which indicates the following:

   o GENERALIZED BANDWIDTH -> Object, optional in the GMPLS extensions BTW
   o PROTECTION ATTRIBUTE -> this should be LSPA PROTECTION-ATTRIBUTE TLV --> This is already supported by draft-crabbe-pce-stateful-pce-mpls-te-00
   o Extended Objects to support the inclusion of label sub-object
      - RP
     - IRO
     - XRO
 --> Those are not specific to GMPLS

So the only missing object to support active stateful GMPLS PCE is an optional GENERALIZED-BANDWIDTH, this does not seem a big requirement.
I would rather see one solution for passive stateful and one for active stateful than a mix of passive and active, plus 3 similar RSVP-TE solutions.

Mit freundlichen Grüßen / Best Regards
Cyril Margaria

Nokia Siemens Networks Optical GmbH
St.Martin-Str. 76
D-81541 München
Germany
mailto:[email-masked]
Phone: +49-89-5159-16934
Fax:   +49-89-5159-44-16934
----------------------------------------------------------------
Nokia Siemens Networks Optical GmbH
Geschäftsleitung / Board of Directors: Gero Neumeier, Dr. Rolf Nauerz
Sitz der Gesellschaft: München / Registered office: Munich
Registergericht: München / Commercial registry: Munich, HRB 197143